#ifndef _EASYINPUT
#define _EASYINPUT

#include "fxlib.h"

enum
{
	EI_NORMAL,
	EI_ALPHA,
	EI_ALPHA_LOCKED
};

enum
{
	EI_LEFT,
	EI_CENTER,
	EI_RIGHT
};

enum
{
	EI_GET_ALL = -1,
	EI_SET_COLUMN,
	EI_SET_ROW,
	EI_SET_BOX_LENGTH,
	EI_SET_ALIGN,
	EI_SET_START_MODE,
	EI_SET_Aa_KEY,
	EI_SET_CAPS_KEY
};

typedef struct
{
	unsigned int column;
	unsigned int row;
	unsigned int box_length;
	unsigned int align;
	unsigned int start_mode;
	unsigned int Aa_key;
	unsigned int cap;
} EI_config;

char *EI_input_string(int string_length, const char *chars_allowed);
const void *EI_manage_config(int parameter, const void *value);
void EI_init(void);
int EI_str_length(const char *str);
int EI_check_char(char c, const char* chars_allowed);

void EI_KBD_PutKey(unsigned int keycode, int mode);
int EI_Cursor_SetPosition(char column, char row);
int EI_Cursor_SetFlashStyle(short int flashstyle);
void EI_Cursor_SetFlashMode(long flashmode);
void EI_Cursor_SetFlashOff(void);

#endif